Commit 3817c22b authored by Gregory Ashton's avatar Gregory Ashton

Merge branch 'minmum-python-3.5' into 'master'

set minimum python version to 3.5

See merge request GregAshton/PyFstat!28
parents 1bf7344e cf8d70d4
......@@ -2,6 +2,19 @@
from setuptools import setup, find_packages
from os import path
import sys
# check python version
min_python_version = (3, 5, 0) # (major,minor,micro)
python_version = sys.version_info
print("Running Python version %s.%s.%s" % python_version[:3])
if python_version < min_python_version:
sys.exit(
"Python < %s.%s.%s is not supported, aborting setup" % min_python_version[:3]
)
else:
print("Confirmed Python version %s.%s.%s or above" % min_python_version[:3])
here = path.abspath(path.dirname(__file__))
# Get the long description from the README file
......@@ -11,8 +24,9 @@ with open(path.join(here, "README.md"), encoding="utf-8") as f:
setup(
name="PyFstat",
version="0.2",
author="Gregory Ashton",
author="Gregory Ashton, David Keitel, Reinhard Prix",
author_email="gregory.ashton@ligo.org",
license="MIT",
description="python wrappers for lalpulsar F-statistic code",
long_description=long_description,
long_description_content_type="text/markdown",
......@@ -24,6 +38,7 @@ setup(
"pyCUDAkernels/cudaTransientFstatRectWindow.cu",
]
},
python_requires=">=%s.%s.%s" % min_python_version[:3],
install_requires=[
"matplotlib",
"scipy",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment